This is the full reference documentation for the Zendesk-Chat agent connector.
Supported entities and actions
The Zendesk-Chat connector supports the following entities and actions.
| Entity | Actions |
|---|
| Accounts | Get |
| Agents | List, Get, Context Store Search, Context Store SQL Query |
| Agent Timeline | List |
| Bans | List, Get |
| Chats | List, Get, Context Store Search, Context Store SQL Query |
| Departments | List, Get, Context Store Search, Context Store SQL Query |
| Goals | List, Get |
| Roles | List, Get |
| Routing Settings | Get |
| Shortcuts | List, Get, Context Store Search, Context Store SQL Query |
| Skills | List, Get |
| Triggers | List, Context Store Search, Context Store SQL Query |
Accounts
Accounts Get
Returns the account information for the authenticated user
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "accounts",
"action": "get"
}'
Python SDK
await zendesk_chat.accounts.get()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "accounts",
"action": "get"
}'
Response Schema
Records
| Field Name | Type | Description |
|---|
account_key | string | |
status | string | null | |
create_date | string | null | |
billing | object | any | |
plan | object | any | |
Agents
Agents List
List all agents
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "agents",
"action": "list"
}'
Python SDK
await zendesk_chat.agents.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agents",
"action": "list"
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
limit | integer | No | |
since_id | integer | No | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
email | string | null | |
display_name | string | null | |
first_name | string | null | |
last_name | string | null | |
enabled | boolean | null | |
role_id | integer | null | |
roles | object | any | |
departments | array | null | |
enabled_departments | array | null | |
skills | array | null | |
scope | string | null | |
create_date | string | null | |
last_login | string | null | |
login_count | integer | null | |
Agents Get
Get an agent
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "agents",
"action": "get",
"params": {
"agent_id": 0
}
}'
Python SDK
await zendesk_chat.agents.get(
agent_id=0
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agents",
"action": "get",
"params": {
"agent_id": 0
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
agent_id | integer | Yes | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
email | string | null | |
display_name | string | null | |
first_name | string | null | |
last_name | string | null | |
enabled | boolean | null | |
role_id | integer | null | |
roles | object | any | |
departments | array | null | |
enabled_departments | array | null | |
skills | array | null | |
scope | string | null | |
create_date | string | null | |
last_login | string | null | |
login_count | integer | null | |
Agents Context Store Search
Search and filter agents records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "agents",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": 0
}
}
}
}
}'
Python SDK
await zendesk_chat.agents.context_store_search(
query={"filter": {"eq": {"id": 0}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agents",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | integer | Unique agent identifier |
email | string | Agent email address |
display_name | string | Agent display name |
first_name | string | Agent first name |
last_name | string | Agent last name |
enabled | boolean | Whether agent is enabled |
role_id | integer | Agent role ID |
departments | array | Department IDs agent belongs to |
create_date | string | When agent was created |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | Unique agent identifier |
data[].email | string | Agent email address |
data[].display_name | string | Agent display name |
data[].first_name | string | Agent first name |
data[].last_name | string | Agent last name |
data[].enabled | boolean | Whether agent is enabled |
data[].role_id | integer | Agent role ID |
data[].departments | array | Department IDs agent belongs to |
data[].create_date | string | When agent was created |
Agents Context Store SQL Query
Run a SQL query against agents records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "agents",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await zendesk_chat.agents.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agents",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Agent Timeline
Agent Timeline List
List agent timeline (incremental export)
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "agent_timeline",
"action": "list"
}'
Python SDK
await zendesk_chat.agent_timeline.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "agent_timeline",
"action": "list"
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
start_time | integer | No | |
limit | integer | No | |
fields | string | No | |
Response Schema
Records
| Field Name | Type | Description |
|---|
agent_id | integer | |
start_time | string | null | |
status | string | null | |
duration | number | null | |
engagement_count | integer | null | |
| Field Name | Type | Description |
|---|
next_page | string | null | |
count | integer | |
Bans
Bans List
List all bans
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "bans",
"action": "list"
}'
Python SDK
await zendesk_chat.bans.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "bans",
"action": "list"
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
limit | integer | No | |
since_id | integer | No | |
Bans Get
Get a ban
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "bans",
"action": "get",
"params": {
"ban_id": 0
}
}'
Python SDK
await zendesk_chat.bans.get(
ban_id=0
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "bans",
"action": "get",
"params": {
"ban_id": 0
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
ban_id | integer | Yes | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
type | string | null | |
ip_address | string | null | |
visitor_id | string | null | |
visitor_name | string | null | |
reason | string | null | |
created_at | string | null | |
Chats
Chats List
List chats (incremental export)
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "chats",
"action": "list"
}'
Python SDK
await zendesk_chat.chats.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "chats",
"action": "list"
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
start_time | integer | No | |
limit | integer | No | |
fields | string | No | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
type | string | null | |
timestamp | string | null | |
update_timestamp | string | null | |
duration | integer | null | |
department_id | integer | null | |
department_name | string | null | |
agent_ids | array | null | |
agent_names | array | null | |
visitor | object | any | |
session | object | any | |
history | array | null | |
history[].type | string | null | |
history[].timestamp | string | null | |
history[].name | string | null | |
history[].nick | string | null | |
history[].msg | string | null | |
history[].msg_id | string | null | |
history[].channel | string | null | |
history[].department_id | integer | null | |
history[].department_name | string | null | |
history[].rating | string | null | |
history[].new_rating | string | null | |
history[].tags | array | null | |
history[].new_tags | array | null | |
history[].options | string | null | |
engagements | array | null | |
engagements[].id | string | null | |
engagements[].agent_id | string | null | |
engagements[].agent_name | string | null | |
engagements[].agent_full_name | string | null | |
engagements[].department_id | integer | null | |
engagements[].timestamp | string | null | |
engagements[].duration | number | null | |
engagements[].accepted | boolean | null | |
engagements[].assigned | boolean | null | |
engagements[].started_by | string | null | |
engagements[].rating | string | null | |
engagements[].comment | string | null | |
engagements[].count | object | any | |
engagements[].response_time | object | any | |
engagements[].skills_requested | array | null | |
engagements[].skills_fulfilled | boolean | null | |
conversions | array | null | |
conversions[].id | string | null | |
conversions[].goal_id | integer | null | |
conversions[].goal_name | string | null | |
conversions[].timestamp | string | null | |
conversions[].attribution | object | any | |
count | object | any | |
response_time | object | any | |
rating | string | null | |
comment | string | null | |
tags | array | null | |
started_by | string | null | |
triggered | boolean | null | |
triggered_response | boolean | null | |
missed | boolean | null | |
unread | boolean | null | |
deleted | boolean | null | |
message | string | null | |
webpath | array | null | |
webpath[].from | string | null | |
webpath[].timestamp | string | null | |
zendesk_ticket_id | integer | null | |
| Field Name | Type | Description |
|---|
next_page | string | null | |
count | integer | |
Chats Get
Get a chat
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "chats",
"action": "get",
"params": {
"chat_id": "<str>"
}
}'
Python SDK
await zendesk_chat.chats.get(
chat_id="<str>"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "chats",
"action": "get",
"params": {
"chat_id": "<str>"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
chat_id | string | Yes | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
type | string | null | |
timestamp | string | null | |
update_timestamp | string | null | |
duration | integer | null | |
department_id | integer | null | |
department_name | string | null | |
agent_ids | array | null | |
agent_names | array | null | |
visitor | object | any | |
session | object | any | |
history | array | null | |
history[].type | string | null | |
history[].timestamp | string | null | |
history[].name | string | null | |
history[].nick | string | null | |
history[].msg | string | null | |
history[].msg_id | string | null | |
history[].channel | string | null | |
history[].department_id | integer | null | |
history[].department_name | string | null | |
history[].rating | string | null | |
history[].new_rating | string | null | |
history[].tags | array | null | |
history[].new_tags | array | null | |
history[].options | string | null | |
engagements | array | null | |
engagements[].id | string | null | |
engagements[].agent_id | string | null | |
engagements[].agent_name | string | null | |
engagements[].agent_full_name | string | null | |
engagements[].department_id | integer | null | |
engagements[].timestamp | string | null | |
engagements[].duration | number | null | |
engagements[].accepted | boolean | null | |
engagements[].assigned | boolean | null | |
engagements[].started_by | string | null | |
engagements[].rating | string | null | |
engagements[].comment | string | null | |
engagements[].count | object | any | |
engagements[].response_time | object | any | |
engagements[].skills_requested | array | null | |
engagements[].skills_fulfilled | boolean | null | |
conversions | array | null | |
conversions[].id | string | null | |
conversions[].goal_id | integer | null | |
conversions[].goal_name | string | null | |
conversions[].timestamp | string | null | |
conversions[].attribution | object | any | |
count | object | any | |
response_time | object | any | |
rating | string | null | |
comment | string | null | |
tags | array | null | |
started_by | string | null | |
triggered | boolean | null | |
triggered_response | boolean | null | |
missed | boolean | null | |
unread | boolean | null | |
deleted | boolean | null | |
message | string | null | |
webpath | array | null | |
webpath[].from | string | null | |
webpath[].timestamp | string | null | |
zendesk_ticket_id | integer | null | |
Chats Context Store Search
Search and filter chats records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "chats",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": "<str>"
}
}
}
}
}'
Python SDK
await zendesk_chat.chats.context_store_search(
query={"filter": {"eq": {"id": "<str>"}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "chats",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": "<str>"}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | string | Unique chat identifier |
timestamp | string | Chat start timestamp |
update_timestamp | string | Last update timestamp |
department_id | integer | Department ID |
department_name | string | Department name |
duration | integer | Chat duration in seconds |
rating | string | Satisfaction rating |
missed | boolean | Whether chat was missed |
agent_ids | array | IDs of agents in chat |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | string | Unique chat identifier |
data[].timestamp | string | Chat start timestamp |
data[].update_timestamp | string | Last update timestamp |
data[].department_id | integer | Department ID |
data[].department_name | string | Department name |
data[].duration | integer | Chat duration in seconds |
data[].rating | string | Satisfaction rating |
data[].missed | boolean | Whether chat was missed |
data[].agent_ids | array | IDs of agents in chat |
Chats Context Store SQL Query
Run a SQL query against chats records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "chats",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await zendesk_chat.chats.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "chats",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Departments
Departments List
List all departments
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "departments",
"action": "list"
}'
Python SDK
await zendesk_chat.departments.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "departments",
"action": "list"
}'
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
members | array | null | |
settings | object | any | |
Departments Get
Get a department
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "departments",
"action": "get",
"params": {
"department_id": 0
}
}'
Python SDK
await zendesk_chat.departments.get(
department_id=0
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "departments",
"action": "get",
"params": {
"department_id": 0
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
department_id | integer | Yes | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
members | array | null | |
settings | object | any | |
Departments Context Store Search
Search and filter departments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "departments",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": 0
}
}
}
}
}'
Python SDK
await zendesk_chat.departments.context_store_search(
query={"filter": {"eq": {"id": 0}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "departments",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | integer | Department ID |
name | string | Department name |
enabled | boolean | Whether department is enabled |
members | array | Agent IDs in department |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | Department ID |
data[].name | string | Department name |
data[].enabled | boolean | Whether department is enabled |
data[].members | array | Agent IDs in department |
Departments Context Store SQL Query
Run a SQL query against departments records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "departments",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await zendesk_chat.departments.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "departments",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Goals
Goals List
List all goals
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "goals",
"action": "list"
}'
Python SDK
await zendesk_chat.goals.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "goals",
"action": "list"
}'
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
attribution_model | string | null | |
attribution_window | integer | null | |
attribution_period | integer | null | |
settings | object | null | |
Goals Get
Get a goal
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "goals",
"action": "get",
"params": {
"goal_id": 0
}
}'
Python SDK
await zendesk_chat.goals.get(
goal_id=0
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "goals",
"action": "get",
"params": {
"goal_id": 0
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
goal_id | integer | Yes | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
attribution_model | string | null | |
attribution_window | integer | null | |
attribution_period | integer | null | |
settings | object | null | |
Roles
Roles List
List all roles
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "roles",
"action": "list"
}'
Python SDK
await zendesk_chat.roles.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "roles",
"action": "list"
}'
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
permissions | object | null | |
members_count | integer | null | |
Roles Get
Get a role
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "roles",
"action": "get",
"params": {
"role_id": 0
}
}'
Python SDK
await zendesk_chat.roles.get(
role_id=0
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "roles",
"action": "get",
"params": {
"role_id": 0
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
role_id | integer | Yes | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
permissions | object | null | |
members_count | integer | null | |
Routing Settings
Routing Settings Get
Get routing settings
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "routing_settings",
"action": "get"
}'
Python SDK
await zendesk_chat.routing_settings.get()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "routing_settings",
"action": "get"
}'
Response Schema
Records
| Field Name | Type | Description |
|---|
routing_mode | string | null | |
chat_limit | object | null | |
skill_routing | object | null | |
reassignment | object | null | |
auto_idle | object | null | |
auto_accept | object | null | |
Shortcuts
Shortcuts List
List all shortcuts
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "shortcuts",
"action": "list"
}'
Python SDK
await zendesk_chat.shortcuts.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shortcuts",
"action": "list"
}'
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
name | string | null | |
message | string | null | |
options | string | null | |
tags | array | null | |
departments | array | null | |
agents | array | null | |
scope | string | null | |
Shortcuts Get
Get a shortcut
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "shortcuts",
"action": "get",
"params": {
"shortcut_id": 0
}
}'
Python SDK
await zendesk_chat.shortcuts.get(
shortcut_id=0
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shortcuts",
"action": "get",
"params": {
"shortcut_id": 0
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
shortcut_id | integer | Yes | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | string | |
name | string | null | |
message | string | null | |
options | string | null | |
tags | array | null | |
departments | array | null | |
agents | array | null | |
scope | string | null | |
Shortcuts Context Store Search
Search and filter shortcuts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "shortcuts",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": 0
}
}
}
}
}'
Python SDK
await zendesk_chat.shortcuts.context_store_search(
query={"filter": {"eq": {"id": 0}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shortcuts",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | integer | Shortcut ID |
name | string | Shortcut name/trigger |
message | string | Shortcut message content |
tags | array | Tags applied when shortcut is used |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | Shortcut ID |
data[].name | string | Shortcut name/trigger |
data[].message | string | Shortcut message content |
data[].tags | array | Tags applied when shortcut is used |
Shortcuts Context Store SQL Query
Run a SQL query against shortcuts records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "shortcuts",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await zendesk_chat.shortcuts.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "shortcuts",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |
Skills
Skills List
List all skills
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "skills",
"action": "list"
}'
Python SDK
await zendesk_chat.skills.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "skills",
"action": "list"
}'
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
members | array | null | |
Skills Get
Get a skill
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "skills",
"action": "get",
"params": {
"skill_id": 0
}
}'
Python SDK
await zendesk_chat.skills.get(
skill_id=0
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "skills",
"action": "get",
"params": {
"skill_id": 0
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
skill_id | integer | Yes | |
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
members | array | null | |
Triggers
Triggers List
List all triggers
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "triggers",
"action": "list"
}'
Python SDK
await zendesk_chat.triggers.list()
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "triggers",
"action": "list"
}'
Response Schema
Records
| Field Name | Type | Description |
|---|
id | integer | |
name | string | null | |
description | string | null | |
enabled | boolean | null | |
run_once | boolean | null | |
conditions | array | null | |
actions | array | null | |
departments | array | null | |
definition | object | null | |
Triggers Context Store Search
Search and filter triggers records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "triggers",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"id": 0
}
}
}
}
}'
Python SDK
await zendesk_chat.triggers.context_store_search(
query={"filter": {"eq": {"id": 0}}}
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "triggers",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
Searchable Fields
| Field Name | Type | Description |
|---|
id | integer | Trigger ID |
name | string | Trigger name |
enabled | boolean | Whether trigger is enabled |
Response Schema
| Field Name | Type | Description |
|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | Trigger ID |
data[].name | string | Trigger name |
data[].enabled | boolean | Whether trigger is enabled |
Triggers Context Store SQL Query
Run a SQL query against triggers records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.
Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.
CLI
airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "zendesk-chat",
"entity": "triggers",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Python SDK
await zendesk_chat.triggers.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "triggers",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'
Parameters
| Parameter Name | Type | Required | Description |
|---|
sql | string | Yes | SQL query to execute against this entity's Context Store data |
limit | integer | No | Maximum results to return |
Response Schema
| Field Name | Type | Description |
|---|
data | array | Projected rows, with dictionary keys matching the selected columns |
meta | object | Query metadata |
meta.has_more | boolean | Whether the result was limited and more rows are available |
meta.cursor | null | SQL query results do not use cursor pagination |
meta.took_ms | number | null | Query execution time in milliseconds |